Problème de mise à jour sur Manjaro

Messages postés
19
Date d'inscription
dimanche 13 janvier 2019
Statut
Membre
Dernière intervention
15 juin 2019
- - Dernière réponse : leBoroillot
Messages postés
19
Date d'inscription
dimanche 13 janvier 2019
Statut
Membre
Dernière intervention
15 juin 2019
- 15 juin 2019 à 10:22
Bonjour à tous,
Je ne parviens pas à faire les mises à jour sous Manjaro 18.04 , cela se termine toujours par : paquet invalide ou corrompu ( signature PGP ); après l'installation de l'OS il m'indique que j'ai 309 maj à faire, je lance la procédure et vlan échec.
je possède un deuxième PC avec le même OS je ne l'a pas servi depuis 15 jours , alors je l'ai branché et c'est la même" chanson", toutefois sur ce dernier il ne reste que 38 maj à faire mais qui se finissent par le même message :paquet invalide ou corrompu ((signature PGP).
Quelqu'un sur le forum rencontre t-il le même problème?
Merci pour vos réponses, je vous souhaite une bonne journée.


Configuration: Windows / Chrome 74.0.3729.169
Afficher la suite 

3 réponses

Meilleure réponse
1
Merci
Bonjour,
Tu trouveras des spécialistes de Manjaro ici :
https://www.manjaro.fr/forum/
Sympas, très réactifs et en français...

Dire « Merci » 1

Heureux de vous avoir aidé ! Vous nous appréciez ? Donnez votre avis sur nous ! Evaluez CommentCaMarche

CCM 64107 internautes nous ont dit merci ce mois-ci

leBoroillot
Messages postés
19
Date d'inscription
dimanche 13 janvier 2019
Statut
Membre
Dernière intervention
15 juin 2019
-
Très bon site, il ne me reste plus qu'à suivre leurs conseils. Le problème que je rencontre y est traité.
Merci beaucoup
Commenter la réponse de jns55
Messages postés
19
Date d'inscription
dimanche 13 janvier 2019
Statut
Membre
Dernière intervention
15 juin 2019
0
Merci
J'ai tapé les commandes dans l'émulateur de terminal est ça foire, plusieurs erreurs avec le même message, ex : Krb5: la signature de Erich Eckner ( just to sign arch packages <arch@eckner.net> est de confiance mitigée, c'est valable pour les 38 paquets.
La question est pourquoi laissent-ils cela en l'état ? Existent-ils des autres endroits pour les maj ?
Je suis preneur de bons conseils.
Merci et bonne journée
C'est sans doute un problème de clés gpg périmées.
Qu'est-ce qu'ils en disent sur le site de Manjaro ? Tu as ouvert un sujet ? Ça m'étonnerait qu'ils te laissent face à tes problèmes sans rien faire de plus pour t'aider, c'est pas le genre de la maison. Il y a plusieurs intervenants sur ce site qui connaissent cette distro sur le bout des doigts et qui sont plus à même de te venir en aide que moi-même.

Il ne faut pas oublier que Manjaro est une rolling-release, les mises à niveau sont donc permanentes et forcément ça implique parfois des petits problèmes, gênants j'en conviens, mais qui le plus souvent sont corrigés à la mise à jour suivante. Tandis qu'un distribution "fixe", une fois qu'elle est au point, il n'y a plus de changement majeur, ce genre de chose arrive donc beaucoup plus rarement mais il faut réinstaller à la sortie de la version suivante...
Chaque type de distro a ses avantages et ses inconvénients.
Commenter la réponse de leBoroillot
Messages postés
4889
Date d'inscription
dimanche 12 juin 2011
Statut
Contributeur
Dernière intervention
9 octobre 2019
856
0
Merci
'lut,
ce genre de désagrément m'arrive aussi de temps en temps sur Arch.
La solution pour moi jusque là est de mettre à jour les paquets de
keyring
en premier pour re-remplir/mettre à jour la base de clés GPG de confiance utilisées pour signer les autres paquets.

Dans ton cas, un coup de
pacman -S archlinux-keyring manjaro-keyring
devrait suffir.
"Dans ton cas, un coup de pacman -S archlinux-keyring manjaro-keyring devrait suffir."

Commande précédée de sudo sur Manjaro.

Ce qui donne :
sudo pacman -S archlinux-keyring manjaro-keyring
ElementW
Messages postés
4889
Date d'inscription
dimanche 12 juin 2011
Statut
Contributeur
Dernière intervention
9 octobre 2019
856 > jns55 -
Ça me semble être implicite. De toute façon
pacman
dit
erreur : vous ne pouvez effectuer cette opération qu’en mode administrateur.
s'il n'est pas en root.
leBoroillot
Messages postés
19
Date d'inscription
dimanche 13 janvier 2019
Statut
Membre
Dernière intervention
15 juin 2019
> jns55 -
Bonjour jns55
j'ai tapé cette ligne de commande, et à la fin il me propose de supprimer le fichier /var/cache/pacman/pkg/archlinux-keyring-201901-23-2.0-any.pkg.tar.xz; toujours fourni par <arch@ecker.net
Voilà je vais donc dire oui et voir ce qu'il advient. Merci
leBoroillot
Messages postés
19
Date d'inscription
dimanche 13 janvier 2019
Statut
Membre
Dernière intervention
15 juin 2019
-
Merci je vais suivre votre conseil .
Commenter la réponse de ElementW